Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.autotune
Class AutotuneMetricOperator

    java.lang.Object
      com.ibm.able.autotune.AutotuneMetricOperator

All Implemented Interfaces:
  java.io.Serializable

public class AutotuneMetricOperator
extends java.lang.Object
implements java.io.Serializable

This class performs binary relation tests against 2 AutotuneMetricValues The result is either a boolean or a double (delta) value use the test() method to check a boolean relation use the computeDelta() method to compute a difference

See Also:
  Serialized Form

Field Summary
`static int` | `BETWEEN`
`protected double` | `delta`
`static int` | `DELTA_ABS`
`static int` | `DELTA_AT`
`static int` | `DELTA_TA`
`static int` | `EQUALS`
`static int` | `GREATER_THAN`
`static int` | `GREATER_THAN_EQUALS`
`static int` | `IS`
`static int` | `LESS_THAN`
`static int` | `LESS_THAN_EQUALS`
`protected int` | `operation`
`protected boolean` | `truth`

Constructor Summary
`AutotuneMetricOperator()`

Method Summary
`double` | `computeDelta(AbleLiteral target, AbleLiteral actual)` Compute the error or difference between a metric value and a target value The error can be computed in 3 ways: DELTA_AT : actual - target DELTA_TA : target - actual DELTA_ABS : absolute value of (actual - target)
`int` | `getOperation()`
`void` | `setOperation(int operation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EQUALS

    public static final int EQUALS

See Also:
  Constant Field Values

### GREATER_THAN

    public static final int GREATER_THAN

See Also:
  Constant Field Values

### LESS_THAN

    public static final int LESS_THAN

See Also:
  Constant Field Values

### GREATER_THAN_EQUALS

    public static final int GREATER_THAN_EQUALS

See Also:
  Constant Field Values

### LESS_THAN_EQUALS

    public static final int LESS_THAN_EQUALS

See Also:
  Constant Field Values

### BETWEEN

    public static final int BETWEEN

See Also:
  Constant Field Values

### IS

    public static final int IS

See Also:
  Constant Field Values

### DELTA_TA

    public static final int DELTA_TA

See Also:
  Constant Field Values

### DELTA_AT

    public static final int DELTA_AT

See Also:
  Constant Field Values

### DELTA_ABS

    public static final int DELTA_ABS

See Also:
  Constant Field Values

### operation

    protected int operation

### truth

    protected boolean truth

### delta

    protected double delta

Constructor Detail

### AutotuneMetricOperator

    public AutotuneMetricOperator()

Method Detail

### computeDelta

    public double computeDelta(AbleLiteral target,
                               AbleLiteral actual)
                        throws AbleDataException

  Compute the error or difference between a metric value and a target value The error can be computed in 3 ways: DELTA_AT : actual - target DELTA_TA : target - actual DELTA_ABS : absolute value of (actual - target)

  Parameters:
    `target` - - the target value
    `actual` - - the actual or current metric value
  Throws:
    `AbleDataException`

### setOperation

    public void setOperation(int operation)

### getOperation

    public int getOperation()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005